

    variable MRegisterMenu {CONFIGURATION BUFF_ORG POST_TRG CUST_SIZE \
       "Channel Enable Mask" "Trigger Source Enable Mask" "Front Panel Trigger Out Enable Mask" \
       "Analog Monitor" "Front Panel I/O Control"}

if {$::V1724::DPPEnable} {
    variable ChRegisterMenu {DPP_PAR1 DPP_PAR2 DPP_PAR3 STATUS OCCUPANCY DAC}
} else {
    variable ChRegisterMenu {ZS_THRES ZS_NSAMP THRESHOLD OVERUNDER STATUS OCCUPANCY DAC}
}

    variable MRegister [first $MRegisterMenu]
    variable MRegisterItem [first $MRegisterMenu]
    variable ChRegister [first $ChRegisterMenu]
    variable ChRegisterItem [first $ChRegisterMenu]

if {$::V1724::DPPEnable} {

    for {set i 0} {$i < 8} {incr i} {
        variable DPP_PAR1.Value$i 0
        variable DPP_PAR1.RiseTime$i 0
        variable DPP_PAR1.AveragingWindow$i 0
        variable DPP_PAR1.DecayTime$i 0
    }

    for {set i 0} {$i < 8} {incr i} {
        variable DPP_PAR2.Value$i 0
        variable DPP_PAR2.TrapezoidRiseTime$i 0
        variable DPP_PAR2.TrapezoidFlatTop$i 0
        variable DPP_PAR2.PeakValue2Divider$i 0
        variable DPP_PAR2.BaseLineMean$i 0
    }

    for {set i 0} {$i < 8} {incr i} {
        variable DPP_PAR3.Value$i 0
        variable DPP_PAR3.Threshold$i 0
        variable DPP_PAR3.Decimation$i 0
        variable DPP_PAR3.FlatTopDelay$i 0
        variable DPP_PAR3.PeakAvWindow$i 0
    }

} else {

    for {set i 0} {$i < 8} {incr i} {
        variable ZS_THRES.Logic$i Positive
        variable ZS_THRES.Weight$i Fine
        variable ZS_THRES.Value$i $i
    }

    for {set i 0} {$i < 8} {incr i} {
        variable ZS_NSAMP.Value$i $i
    }

    for {set i 0} {$i < 8} {incr i} {
        variable THRESHOLD.Value$i $i
    }

    for {set i 0} {$i < 8} {incr i} {
        variable OVERUNDER.Value$i $i
    }

}

    for {set i 0} {$i < 8} {incr i} {
        variable OCCUPANCY.Value$i $i
    }

    for {set i 0} {$i < 8} {incr i} {
        variable DAC.Value$i $i
    }

    for {set i 0} {$i < 8} {incr i} {
        variable STATUS.Value$i 0
        variable STATUS.BufferFreeErr$i 0
        variable STATUS.CHn+1Enabled$i 0
        variable STATUS.CHnEnabled$i 0
        variable STATUS.DACBusy$i 0
        variable STATUS.MemEmpty$i 0
        variable STATUS.MemFull$i 0
    }

    variable CONFIGURATION 0
    variable CONFIGURATION.DualTrace 0
    variable CONFIGURATION.InvertInput 0
    variable CONFIGURATION.TrigMode 0
    variable CONFIGURATION.TrigOlap 0
    variable CONFIGURATION.TestMode 0
    variable CONFIGURATION.VProbe1 0
    variable CONFIGURATION.VProbe2 0
    variable CONFIGURATION.OscMode 0
    variable CONFIGURATION.EnergyMode 0
    variable CONFIGURATION.TimeTagMode 0
    variable CONFIGURATION.DigVProbe 0

    variable BUFF_ORG 0
    variable POST_TRG 0
    variable CUST_SIZE 0

    variable CHENABLE 0
    variable TRIGSRCENABLE 0
    variable FPTRIGENABLE 0
    variable ANALOGMON 0
    variable FPIOCTRL 0
    variable BLTEVNUM 0


