


    set addressinfo [split $AddressData :]
    set A32Base [third $addressinfo]

   DefineRegister $Module xVME ConfigReload        "-a $A32Base -w 32 -o 0xef34 -p wo -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Clear               "-a $A32Base -w 32 -o 0xef28 -p wo -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Reset               "-a $A32Base -w 32 -o 0xef24 -p wo -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME BLTEventNum         "-a $A32Base -w 32 -o 0xef1c -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME VMEBaseAddress      "-a $A32Base -w 32 -o 0xef10 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME MCSTBaseAddress     "-a $A32Base -w 32 -o 0xef0c -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME Status              "-a $A32Base -w 32 -o 0xef04 -p ro -d 32 -l 3 -b 0 -z x"
   DefineRegister $Module xVME Control             "-a $A32Base -w 32 -o 0xef00 -p rw -d 32 -l 0 -b 0 -z d"

   DefineRegister $Module xVME AnalogMon           "-a $A32Base -w 32 -o 0x8150 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME EventSize           "-a $A32Base -w 32 -o 0x814c -p ro -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME MonitorMode         "-a $A32Base -w 32 -o 0x8144 -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME BoardInfo           "-a $A32Base -w 32 -o 0x8140 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME MonitorDAC          "-a $A32Base -w 32 -o 0x8138 -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME EventsStored        "-a $A32Base -w 32 -o 0x812c -p ro -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME DownSample          "-a $A32Base -w 32 -o 0x8128 -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME FPGARev             "-a $A32Base -w 32 -o 0x8124 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ChEnable            "-a $A32Base -w 32 -o 0x8120 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME FPIOControl         "-a $A32Base -w 32 -o 0x811c -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME FPIOData            "-a $A32Base -w 32 -o 0x8118 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME PostTrig            "-a $A32Base -w 32 -o 0x8114 -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME FPTrigOutEnable     "-a $A32Base -w 32 -o 0x8110 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME TrigSrcEnable       "-a $A32Base -w 32 -o 0x810c -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME SoftTrig            "-a $A32Base -w 32 -o 0x8108 -p wo -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME AcqStatus           "-a $A32Base -w 32 -o 0x8104 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME AcqControl          "-a $A32Base -w 32 -o 0x8100 -p rw -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME CustomSize          "-a $A32Base -w 32 -o 0x8020 -p rw -d 32 -l 0 -b 0 -z d"

if {$::V1724::DPPEnable} {
   DefineRegister $Module xVME PostTrigSize        "-a $A32Base -w 32 -o 0x8014 -p rw -d 32 -l 0 -b 0 -z d"
}

   DefineRegister $Module xVME BufferFree          "-a $A32Base -w 32 -o 0x8010 -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME BufferOrg           "-a $A32Base -w 32 -o 0x800c -p rw -d 32 -l 0 -b 0 -z d"
   DefineRegister $Module xVME ChConfigClr         "-a $A32Base -w 32 -o 0x8008 -p wo -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ChConfigSet         "-a $A32Base -w 32 -o 0x8004 -p wo -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ChConfig            "-a $A32Base -w 32 -o 0x8000 -p rw -d 32 -l 0 -b 0 -z x"

if {$::V1724::DPPEnable} {
      DefineRegister $Module xVME ChDPP_PAR1     "-a $A32Base -w 32 -o 0x8024 -p wo -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChDPP_PAR2     "-a $A32Base -w 32 -o 0x8028 -p wo -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChDPP_PAR3     "-a $A32Base -w 32 -o 0x802c -p wo -d 32 -l 0 -b 0 -z x"
} else {
      DefineRegister $Module xVME ChZS_NSAMP   "-a $A32Base -w 32 -o 0x8028 -p wo -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChZS_THRES   "-a $A32Base -w 32 -o 0x8024 -p wo -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChOUThresh   "-a $A32Base -w 32 -o 0x8084 -p wo -d 32 -l 0 -b 0 -z d"
      DefineRegister $Module xVME ChThresh     "-a $A32Base -w 32 -o 0x8080 -p wo -d 32 -l 0 -b 0 -z d"
}

   DefineRegister $Module xVME ChADCConfig    "-a $A32Base -w 32 -o 0x809c -p wo -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module xVME ChDAC          "-a $A32Base -w 32 -o 0x8098 -p wo -d 32 -l 0 -b 0 -z x"

   for {set i 0} {$i < 8} {incr i} {
      DefineRegister $Module xVME ChADCConfig$i "-a $A32Base -w 32 -o [expr 0x109c+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChDAC$i       "-a $A32Base -w 32 -o [expr 0x1098+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChBufs$i      "-a $A32Base -w 32 -o [expr 0x1094+($i*0x100)] -p ro -d 32 -l 0 -b 0 -z d"
      DefineRegister $Module xVME ChFPGARev$i   "-a $A32Base -w 32 -o [expr 0x108c+($i*0x100)] -p ro -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChStatus$i    "-a $A32Base -w 32 -o [expr 0x1088+($i*0x100)] -p ro -d 32 -l 0 -b 0 -z x"
if {$::V1724::DPPEnable} {
      DefineRegister $Module xVME ChDPP_PAR1$i  "-a $A32Base -w 32 -o [expr 0x1024+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChDPP_PAR2$i  "-a $A32Base -w 32 -o [expr 0x1028+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChDPP_PAR3$i  "-a $A32Base -w 32 -o [expr 0x102c+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
} else {
      DefineRegister $Module xVME ChZS_NSAMP$i  "-a $A32Base -w 32 -o [expr 0x1028+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChZS_THRES$i  "-a $A32Base -w 32 -o [expr 0x1024+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z x"
      DefineRegister $Module xVME ChOUThresh$i  "-a $A32Base -w 32 -o [expr 0x1084+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z d"
      DefineRegister $Module xVME ChThresh$i    "-a $A32Base -w 32 -o [expr 0x1080+($i*0x100)] -p rw -d 32 -l 0 -b 0 -z d"
}
   }

   DefineRegister $Module xVME DataItem            "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -l 0 -b 0 -z x"
   DefineRegister $Module bVME RdOutBuffer         "-a $A32Base -w 32 -o 0x0 -p ro -d 32 -z x -l 64"



puts "Defined $Module with DPP=$::V1724::DPPEnable"
